// Login.java
//
// Informatics 102 Spring 2012
// Code Example
//
// This class represents the world's cheesiest login-handling
// implementation.  We'll say that our program will have one
// currently-logged-in user at any given time, so we'll store
// that user's name as a static field, then have methods to get
// and set this name.
//
// Notably absent from this class are all kinds of things we'd
// want in a real system, like password checking or the ability
// to have multiple users logged in simultaneously (e.g., if this
// code were to form the core of an engine that could process
// transactions for multiple users at the same time through many
// users' web pages).

public class Login
{
	private static String currentUser = null;
	
	
	public static String getCurrentUser()
	{
		return currentUser;
	}
	
	
	public static void setCurrentUser(String currentUser)
	{
		Login.currentUser = currentUser;
	}
}
