// Ownable.java
//
// Informatics 102 Spring 2012
// Code Example
//
// The Ownable interface represents the notion of "being owned."  In
// our example, that will mean that an object that is Ownable has an
// "owner name" (i.e., the username of the user who owns the object).
// The interface itself has one method, getOwnerName(), that reveals
// the owner of an object that can be owned.

public interface Ownable
{
	String getOwnerName();
}
